Subject: Re: [ANNOUNCE] Git v2.50.0-rc1 - Test Failed

From: Todd Zullinger <[email-masked]>
Date: Wed, 4 Jun 2025 09:51:48 -0400

[email-masked] wrote:
>>I hit a new issue during the test phase.
>>
>>Makefile:200: recipe for target 'lib/tclIndex' failed
>>
>>Is there any way to suppress this? I don't think we need TCL - don't have it anyway
>>on NonStop.
> 
> More info:
> 
> The actual more complete error is:
> 
> /usr/coreutils/bin/bash generate-git-gui.sh "git-gui.sh" "git-gui" ./GIT-GUI-BUILD-OPTIONS ./GIT-VERSION-FILE
> /usr/coreutils/bin/bash generate-tclindex.sh . ./GIT-GUI-BUILD-OPTIONS 
> usage: generate-tclindex.sh <BUILD_DIR> <BUILD_OPTIONS> <LIBFILE> [<LIBFILE>...]
> Makefile:200: recipe for target 'lib/tclIndex' failed
> 
> This seems like a legit problem to be fixed rather than ignored.

If you don't have TCL, are you not setting NO_TCLTK for your
builds?

I don't think that's changed in ages, but perhaps something
has changed in the build process or your build system which
now exposes that you aren't setting it, which then tries to
build git-gui (and would surely try to build gitk as well).

-- 
Todd